Description

Using Rack::Deflater we can compress our responses for HTML and assets using gzip automatically. This allows us to serve

considerably smaller (in kb) pages, which should go over the wire faster as well.

Trying out /login, /hosts, and /dashboard, processing times were similar with and without this, but the page size was reduced up to

80% in some cases.

See the following gist with benchmarks using siege: https://gist.github.com/dLobatog/600f151fd0676345c95a - notice some pages

like /login are reduced a whooping 75% in size.

Related issues:

Related to Foreman - Bug #1556: Puppet rdoc generation is broken in Foreman Closed 03/28/2012

Associated revisions

Revision 5dbbc05b - 03/10/2016 05:37 AM - Daniel Lobato Garcia

Fixes #14106 - Remove puppetclasses no_route page

I don't think it's being used anywhere anymore

History

#1 - 03/08/2016 01:16 PM - Daniel Lobato Garcia

- Subject changed from Return 15-30% smaller controller responses  to Compress 15-30% (on avg) controller responses with Rack::Deflater

#2 - 03/08/2016 01:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3295 added

#3 - 03/09/2016 04:40 AM - Daniel Lobato Garcia

- Tracker changed from Feature to Bug

- Subject changed from Compress 15-30% (on avg) controller responses with Rack::Deflater to Remove puppetclass no_route page

- Category changed from Performance to Puppet integration

I don't think it's being used anywhere anymore

#4 - 03/09/2016 04:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3300 added

#5 - 03/10/2016 05:40 AM - Dominic Cleal

- Related to Bug #1556: Puppet rdoc generation is broken in Foreman added
#6 - 03/10/2016 06:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5dbbc05b0971848302ae8b1e4ab80f7567417b1f.

#7 - 03/10/2016 06:10 AM - Dominic Cleal

- translation missing: en.field_release set to 136
